Bug 1840135 - Multi Stream logs component logged out 400 for first step of task logs
Summary: Multi Stream logs component logged out 400 for first step of task logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Sahil Budhwar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-26 12:54 UTC by Sahil Budhwar
Modified: 2020-07-13 17:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:41:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
Multi Stream logs component does not logged out 400 for first step of task logs (18.61 KB, image/png)
2020-06-01 20:34 UTC, spathak@redhat.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5560 0 None closed Bug 1840135: fixes: Multi Stream logs component logged out 400 for first step of task logs 2020-06-24 03:20:52 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:41:57 UTC

Description Sahil Budhwar 2020-05-26 12:54:57 UTC
Sometimes, On the first step of each task, it logs out an 400 error

WebSocket connection to 'ws://localhost:9000/api/kubernetes/api/v1/namespaces/t0s/pods/nodejs-ex-git-a01t7k-build-7d64p-pod-6t9j2/log?container=step-create-dir-image-p8tlw&follow=true' failed: Error during WebSocket handshake: Unexpected response code: 400
but once the logs are completed and user comes back to this same task .. All the logs are printed properly

Pods log do not have this issue If user goes to the Pod fast enough, User can see it log out without an issue and then close the WebSocket.

Comment 5 spathak@redhat.com 2020-06-01 20:34:52 UTC
Created attachment 1694176 [details]
Multi Stream logs component does not logged out 400 for first step of task logs

Comment 6 spathak@redhat.com 2020-06-01 20:36:37 UTC
Verified on build version: 4.5.0-0.nightly-2020-05-31-230932
Browser version: Firefox 73

Comment 7 errata-xmlrpc 2020-07-13 17:41:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.